Description

Related issues:

Blocked by D4Science Infrastructure - Task #1226: Migrate databases from acco... Closed Oct 23, 2015 Oct 23, 2015

History

#1 - Oct 23, 2015 10:33 AM - Luca Frosini

- Blocked by Task #1226: Migrate databases from accounting-d4s.d4science.org to couchdb01-d-d4s.d4science.org added

#2 - Oct 23, 2015 11:52 AM - Luca Frosini

- Status changed from New to In Progress

#3 - Oct 23, 2015 12:32 PM - Luca Frosini

- % Done changed from 0 to 70

#4 - Oct 23, 2015 05:12 PM - Luca Frosini

I have replicated the db to new instances and created replication each-other from futon interface in both new instances.

I would like to do some test if the replication created from futon is maintained after a shut-down, and id works as expected.

Trying to stop couchdb (using couchdb stop command) I obtain the following error on both machine:

root@couchdb01-d-d4s:~# couchdb stop

Apache CouchDB 1.6.1 (LogLevel=info) is starting.

Failure to start Mochiweb: eaddrinuse

[error] [<0.105.0>] {error_report,<0.31.0>,

                     {<0.105.0>,crash_report,

                      [[{initial_call,

                         {mochiweb_socket_server,init,['Argument__1']}},

                        {pid,<0.105.0>},

                        {registered_name,[]},

                        {error_info,

                         {exit,eaddrinuse,

                          [{gen_server,init_it,6,

                            [{file,"gen_server.erl"},{line,320}]},

                           {proc_lib,init_p_do_apply,3,

                            [{file,"proc_lib.erl"},{line,239}]}]}},

                        {ancestors,

                         [couch_secondary_services,couch_server_sup,<0.32.0>]},

                        {messages,[]},

                        {links,[<0.94.0>]},

                        {dictionary,[]},

                        {trap_exit,true},

                        {status,running},

                        {heap_size,1598},

                        {stack_size,27},

                        {reductions,594}],

                       []]}}

{"init terminating in do_boot",{{badmatch,{error,{bad_return,{{couch_app,start,[normal,["/etc/couchdb/default.

ini","/etc/couchdb/local.ini"]]},{'EXIT',{{badmatch,{error,{shutdown,{failed_to_start_child,couch_secondary_se

rvices,{shutdown,{failed_to_start_child,httpd,eaddrinuse}}}}}},[{couch_server_sup,start_server,1,[{file,"couch

_server_sup.erl"},{line,98}]},{application_master,start_it_old,4,[{file,"application_master.erl"},{line,269}]}

]}}}}}},[{couch,start,0,[{file,"couch.erl"},{line,18}]},{init,start_it,1,[]},{init,start_em,1,[]}]}}
Crash dump was written to: erl_crash.dump

 Maybe a solution can be found here:

https://wiki.apache.org/couchdb/Error_messages

@andrea.dellamico@isti.cnr.it  @tommaso.piccioli@isti.cnr.it can you help me to solve this issue?

#5 - Oct 23, 2015 06:31 PM - Andrea Dell'Amico

The right start/stop commands are

start couchdb

stop couchdb

 start and stop are native commands from the upstart init system

#6 - Oct 27, 2015 03:13 PM - Luca Frosini

- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

#7 - Oct 27, 2015 03:27 PM - Luca Frosini

- Target version changed from zz - Accouting Facility to CouchDB Deployment

#8 - Nov 19, 2015 12:35 PM - Luca Frosini

- Status changed from Resolved to Closed
